## Countries

### Afghanistan
* **Other accepted names:** "AF", "AFG"
* **Currency:** AFN
* **Available options:** `tax_year`

No personal income tax.


### Åland Islands
* **Other accepted names:** "Åland", "Ahvenanmaa", "AX", "ALA"
* **Currency:** EUR
* **Available options:** `tax_year`

Tax calculation is using the same logic as Finland.


### Albania
* **Other accepted names:** "AL", "ALB"
* **Currency:** ALL
* **Available options:** `tax_year`

Using a progressive tax model.


### Algeria
* **Other accepted names:** "DZ", "DZA"
* **Currency:** DZD
* **Available options:** `tax_year`

Using a progressive tax model.


### American Samoa
* **Other accepted names:** "AS", "ASM"
* **Currency:** USD
* **Available options:** `tax_year`

Tax calculation is using the same logic as United States.


### Andorra
* **Other accepted names:** "AD", "AND"
* **Currency:** EUR
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Angola
* **Other accepted names:** "AO", "AGO"
* **Currency:** AOA
* **Available options:** `tax_year`

Using a progressive tax model.


### Anguilla
* **Other accepted names:** "AI", "AIA"
* **Currency:** XCD
* **Available options:** `tax_year`

No personal income tax.


### Antigua and Barbuda
* **Other accepted names:** "Antigua", "Barbuda", "AG", "ATG"
* **Currency:** XCD
* **Available options:** `tax_year`

Using a progressive tax model.


### Argentina
* **Other accepted names:** "AR", "ARG"
* **Currency:** ARS
* **Available options:** `tax_year`

Using a progressive tax model.


### Armenia
* **Other accepted names:** "AM", "ARM"
* **Currency:** AMD
* **Available options:** `tax_year`

Using a progressive tax model.


### Aruba
* **Other accepted names:** "AW", "ABW"
* **Currency:** AWG
* **Available options:** `tax_year`

Using a progressive tax model.


### Australia
* **Other accepted names:** "AU", "AUS"
* **Currency:** AUD
* **Available options:** `tax_year`, `age` (or `birthday`)

Using a progressive tax model.


### Austria
* **Other accepted names:** "AT", "AUT"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Azerbaijan
* **Other accepted names:** "AZ", "AZE"
* **Currency:** AZN
* **Available options:** `tax_year`

Using a progressive tax model.


### Bahamas
* **Other accepted names:** "BS", "BHS"
* **Currency:** BSD
* **Available options:** `tax_year`

No personal income tax.


### Bahrain
* **Other accepted names:** "BH", "BHR"
* **Currency:** BHD
* **Available options:** `tax_year`

No personal income tax.


### Bangladesh
* **Other accepted names:** "BD", "BGD"
* **Currency:** BDT
* **Available options:** `tax_year`, `gender`, `age` (or `birthday`), `disabled`, `wounded_freedom_fighter`

Using a progressive tax model.


### Barbados
* **Other accepted names:** "BB", "BRB"
* **Currency:** BBD
* **Available options:** `tax_year`, `age` (or `birthday`)

Using a progressive tax model.


### Belarus
* **Other accepted names:** "BY", "BLR"
* **Currency:** BYR
* **Available options:** `tax_year`

Fixed tax rate of 12%.


### Belgium
* **Other accepted names:** "BE", "BEL"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Belize
* **Other accepted names:** "BZ", "BLZ"
* **Currency:** BZD
* **Available options:** `tax_year`

Using a progressive tax model.


### Benin
* **Other accepted names:** "BJ", "BEN"
* **Currency:** XOF
* **Available options:** `tax_year`

Using a progressive tax model.


### Bermuda
* **Other accepted names:** "BM", "BMU"
* **Currency:** BMD
* **Available options:** `tax_year`

No personal income tax.


### Bhutan
* **Other accepted names:** "BT", "BTN"
* **Currency:** BTN
* **Available options:** `tax_year`

Using a progressive tax model.


### Bolivia
* **Other accepted names:** "Bolivia (Plurinational State of)", "BO", "BOL"
* **Currency:** BOB
* **Available options:** `tax_year`

Fixed tax rate of 13%.


### Bosnia And Herzegovina
* **Other accepted names:** "Bosnia", "Herzegovina", "Srpska", "Republika Srpska", "BA", "BIH"
* **Currency:** BAM
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Botswana
* **Other accepted names:** "BW", "BWA"
* **Currency:** BWP
* **Available options:** `tax_year`

Using a progressive tax model.


### Bouvet Island
* **Other accepted names:** "BV", "BVT"
* **Currency:** NOK
* **Available options:** `tax_year`

Tax calculation is using the same logic as Norway.


### Brazil
* **Other accepted names:** "BR", "BRA"
* **Currency:** BRL
* **Available options:** `tax_year`

Using a progressive tax model.


### British Indian Ocean Territory
* **Other accepted names:** "IO", "IOT"
* **Currency:** USD
* **Available options:** `tax_year`

Tax calculation is using the same logic as United Kingdom.


### Brunei Darussalam
* **Other accepted names:** "Brunei", "BN", "BRN"
* **Currency:** BND
* **Available options:** `tax_year`

No personal income tax.


### Bulgaria
* **Other accepted names:** "BG", "BGR"
* **Currency:** BGN
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Burkina Faso
* **Other accepted names:** "BF", "BFA"
* **Currency:** XOF
* **Available options:** `tax_year`

Using a progressive tax model.


### Burundi
* **Other accepted names:** "BI", "BDI"
* **Currency:** BIF
* **Available options:** `tax_year`

Using a progressive tax model.


### Cambodia
* **Other accepted names:** "KH", "KHM"
* **Currency:** KHR
* **Available options:** `tax_year`

Using a progressive tax model.


### Cameroon
* **Other accepted names:** "CM", "CMR"
* **Currency:** XAF
* **Available options:** `tax_year`

Using a progressive tax model.


### Canada
* **Other accepted names:** "CA", "CAN"
* **Currency:** CAD
* **Available options:** `tax_year`

Using a progressive tax model.


### Cape Verde
* **Other accepted names:** "Cabo Verde", "CV", "CPV"
* **Currency:** CVE
* **Available options:** `tax_year`

Using a progressive tax model.


### Bonaire, Sint Eustatius and Saba
* **Other accepted names:** "Caribbean Netherlands", "Bonaire", "Sint Eustatius", "Saba", "BQ", "BES"
* **Currency:** USD
* **Available options:** `tax_year`

Using a progressive tax model.


### Cayman Islands
* **Other accepted names:** "KY", "CYM"
* **Currency:** KYD
* **Available options:** `tax_year`

No personal income tax.


### Central African Republic
* **Other accepted names:** "CF", "CAF"
* **Currency:** XAF
* **Available options:** `tax_year`

Using a progressive tax model.


### Chad
* **Other accepted names:** "TD", "TCD"
* **Currency:** XAF
* **Available options:** `tax_year`

Using a progressive tax model.


### Chile
* **Other accepted names:** "CL", "CHL"
* **Currency:** CLP
* **Available options:** `tax_year`

Using a progressive tax model.


### China
* **Other accepted names:** "China, People's Republic of", "China (People's Republic of)", "CN", "CHN"
* **Currency:** CNY
* **Available options:** `tax_year`

Using a progressive tax model.


### Christmas Island
* **Other accepted names:** "CX", "CXR"
* **Currency:** AUD
* **Available options:** `tax_year`

No personal income tax.


### Cocos (Keeling) Islands
* **Other accepted names:** "Cocos Islands", "Keeling Islands", "CC", "CCK"
* **Currency:** AUD
* **Available options:** `tax_year`

No personal income tax.


### Colombia
* **Other accepted names:** "CO", "COL"
* **Currency:** COP
* **Available options:** `tax_year`

Using a progressive tax model.


### Comoros
* **Other accepted names:** "KM", "COM"
* **Currency:** KMF
* **Available options:** `tax_year`

Using a progressive tax model.


### Congo
* **Other accepted names:** "Congo, Democratic Republic of the", "Congo (Democratic Republic of the)", "CD", "COD"
* **Currency:** CDF
* **Available options:** `tax_year`

Fixed tax rate of 30%.


### Congo (Republic of the)
* **Other accepted names:** "Congo, Republic of the", "CG", "COG"
* **Currency:** XAF
* **Available options:** `tax_year`

Using a progressive tax model.


### Cook Islands
* **Other accepted names:** "CK", "COK"
* **Currency:** NZD
* **Available options:** `tax_year`

Using a progressive tax model.


### Costa Rica
* **Other accepted names:** "CR", "CRI"
* **Currency:** CRC
* **Available options:** `tax_year`, `self_employed`

Using a progressive tax model.


### Croatia
* **Other accepted names:** "HR", "HRV"
* **Currency:** HRK
* **Available options:** `tax_year`

Using a progressive tax model.


### Cuba
* **Other accepted names:** "CU", "CUB"
* **Currency:** CUP
* **Available options:** `tax_year`

Using a progressive tax model.


### Curaçao
* **Other accepted names:** "Curacao", "CW", "CUW"
* **Currency:** ANG
* **Available options:** `tax_year`

Using a progressive tax model.


### Cyprus
* **Other accepted names:** "CY", "CYP"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Czech Republic
* **Other accepted names:** "CZ", "CZE"
* **Currency:** CZK
* **Available options:** `tax_year`

Fixed tax rate of 15%.


### Denmark
* **Other accepted names:** "DK", "DNK"
* **Currency:** DKK
* **Available options:** `tax_year`

Using a progressive tax model.


### Djibouti
* **Other accepted names:** "DJ", "DJI"
* **Currency:** DJF
* **Available options:** `tax_year`

Using a progressive tax model.


### Dominica
* **Other accepted names:** "DM", "DMA"
* **Currency:** XCD
* **Available options:** `tax_year`

Using a progressive tax model.


### Dominican Republic
* **Other accepted names:** "DO", "DOM"
* **Currency:** DOP
* **Available options:** `tax_year`

Using a progressive tax model.


### Ecuador
* **Other accepted names:** "EC", "ECU"
* **Currency:** USD
* **Available options:** `tax_year`

Using a progressive tax model.


### Egypt
* **Other accepted names:** "EG", "EGY"
* **Currency:** EGP
* **Available options:** `tax_year`

Using a progressive tax model.


### El Salvador
* **Other accepted names:** "SV", "SLV"
* **Currency:** USD
* **Available options:** `tax_year`

Fixed tax rate of 25%.


### Equatorial Guinea
* **Other accepted names:** "GQ", "GNQ"
* **Currency:** XAF
* **Available options:** `tax_year`

Using a progressive tax model.


### Eritrea
* **Other accepted names:** "ER", "ERI"
* **Currency:** ETB
* **Available options:** `tax_year`

Fixed tax rate of 34%.


### Estonia
* **Other accepted names:** "EE", "EST"
* **Currency:** EUR
* **Available options:** `tax_year`

Fixed tax rate of 20%.


### Ethiopia
* **Other accepted names:** "ET", "ETH"
* **Currency:** ETB
* **Available options:** `tax_year`

Using a progressive tax model.


### Falkland Islands (Malvinas)
* **Other accepted names:** "Falkland Islands", "Malvinas", "FK", "FLK"
* **Currency:** FKP
* **Available options:** `tax_year`

Using a progressive tax model.


### Faroe Islands
* **Other accepted names:** "FO", "FRO"
* **Currency:** DKK
* **Available options:** `tax_year`

Fixed tax rate of 41.5%.


### Fiji
* **Other accepted names:** "FJ", "FJI"
* **Currency:** FJD
* **Available options:** `tax_year`

Using a progressive tax model.


### Finland
* **Other accepted names:** "FI", "FIN"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### France
* **Other accepted names:** "FR", "FRA"
* **Currency:** EUR
* **Available options:** `tax_year`, `married`, `children`

Using a progressive tax model.


### French Guiana
* **Other accepted names:** "GF", "GUF"
* **Currency:** EUR
* **Available options:** `tax_year`

Tax calculation is using the same logic as France.


### French Polynesia
* **Other accepted names:** "PF", "PYF"
* **Currency:** XPF
* **Available options:** `tax_year`

No personal income tax.


### French Southern Territories
* **Other accepted names:** "TF", "ATF"
* **Currency:** EUR
* **Available options:** `tax_year`

Tax calculation is using the same logic as France.


### Gabon
* **Other accepted names:** "GA", "GAB"
* **Currency:** XAF
* **Available options:** `tax_year`

Using a progressive tax model.


### Gambia
* **Other accepted names:** "GM", "GMB"
* **Currency:** GMD
* **Available options:** `tax_year`

Using a progressive tax model.


### Georgia
* **Other accepted names:** "GE", "GEO"
* **Currency:** GEL
* **Available options:** `tax_year`

Fixed tax rate of 20%.


### Germany
* **Other accepted names:** "DE", "DEU"
* **Currency:** EUR
* **Available options:** `tax_year`, `married`

Tax model uses a custom implementation.


### Ghana
* **Other accepted names:** "GH", "GHA"
* **Currency:** GHS
* **Available options:** `tax_year`

Using a progressive tax model.


### Gibraltar
* **Other accepted names:** "GI", "GIB"
* **Currency:** GIP
* **Available options:** `tax_year`

Using a progressive tax model.


### Greece
* **Other accepted names:** "GR", "GRC"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Greenland
* **Other accepted names:** "GL", "GRL"
* **Currency:** DKK
* **Available options:** `tax_year`

Fixed tax rate of 37%.


### Grenada
* **Other accepted names:** "GD", "GRD"
* **Currency:** XCD
* **Available options:** `tax_year`

Using a progressive tax model.


### Guadeloupe
* **Other accepted names:** "GP", "GLP"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Guam
* **Other accepted names:** "GU", "GUM"
* **Currency:** USD
* **Available options:** `tax_year`

Tax calculation is using the same logic as United States.


### Guatemala
* **Other accepted names:** "GT", "GTM"
* **Currency:** GTQ
* **Available options:** `tax_year`

Using a progressive tax model.


### Guernsey
* **Other accepted names:** "GG", "GGY"
* **Currency:** GGP
* **Available options:** `tax_year`

Fixed tax rate of 20%.


### Guinea
* **Other accepted names:** "GN", "GIN"
* **Currency:** GNF
* **Available options:** `tax_year`

Using a progressive tax model.


### Guinea-Bissau
* **Other accepted names:** "GW", "GNB"
* **Currency:** XOF
* **Available options:** `tax_year`

Fixed tax rate of 20%.


### Guyana
* **Other accepted names:** "GY", "GUY"
* **Currency:** GYD
* **Available options:** `tax_year`

Using a progressive tax model.


### Haiti
* **Other accepted names:** "HT", "HTI"
* **Currency:** USD
* **Available options:** `tax_year`

Fixed tax rate of 20%.


### Heard and McDonald Islands
* **Other accepted names:** "Heard Island", "McDonald Island", "HM", "HMD"
* **Currency:** AUD
* **Available options:** `tax_year`

Tax calculation is using the same logic as Australia.


### Honduras
* **Other accepted names:** "HN", "HND"
* **Currency:** HNL
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Hong Kong
* **Other accepted names:** "HK", "HKG"
* **Currency:** HKD
* **Available options:** `tax_year`

Using a progressive tax model.


### Hungary
* **Other accepted names:** "HU", "HUN"
* **Currency:** HUF
* **Available options:** `tax_year`

Fixed tax rate of 16%.


### Iceland
* **Other accepted names:** "IS", "ISL"
* **Currency:** ISK
* **Available options:** `tax_year`

Using a progressive tax model.


### India
* **Other accepted names:** "IN", "IND"
* **Currency:** INR
* **Available options:** `tax_year`

Using a progressive tax model.


### Indonesia
* **Other accepted names:** "ID", "IDN"
* **Currency:** IDR
* **Available options:** `tax_year`

Using a progressive tax model.


### Iran
* **Other accepted names:** "Iran (Islamic Republic Of)", "IR", "IRN"
* **Currency:** IRR
* **Available options:** `tax_year`

Using a progressive tax model.


### Iraq
* **Other accepted names:** "IQ", "IRQ"
* **Currency:** IQD
* **Available options:** `tax_year`

Fixed tax rate of 15%.


### Ireland
* **Other accepted names:** "Ireland, Republic Of", "IE", "IRL"
* **Currency:** EUR
* **Available options:** `tax_year`, `married`

Using a progressive tax model.


### Isle of Man
* **Other accepted names:** "IM", "IMN"
* **Currency:** IMP
* **Available options:** `tax_year`

Using a progressive tax model.


### Israel
* **Other accepted names:** "IL", "ISR"
* **Currency:** ILS
* **Available options:** `tax_year`

Using a progressive tax model.


### Italy
* **Other accepted names:** "IT", "ITA"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Ivory Coast
* **Other accepted names:** "Côte d'Ivoire", "Cote d'Ivoire", "CI", "CIV"
* **Currency:** XOF
* **Available options:** `tax_year`

Using a progressive tax model.


### Jamaica
* **Other accepted names:** "JM", "JAM"
* **Currency:** JMD
* **Available options:** `tax_year`

Using a progressive tax model.


### Japan
* **Other accepted names:** "JP", "JPN"
* **Currency:** JPY
* **Available options:** `tax_year`

Using a progressive tax model.


### Jersey
* **Other accepted names:** "JE", "JEY"
* **Currency:** JEP
* **Available options:** `tax_year`

Fixed tax rate of 20%.


### Jordan
* **Other accepted names:** "JO", "JOR"
* **Currency:** JOD
* **Available options:** `tax_year`

Using a progressive tax model.


### Kazakhstan
* **Other accepted names:** "KZ", "KAZ"
* **Currency:** KZT
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Kenya
* **Other accepted names:** "KE", "KEN"
* **Currency:** KES
* **Available options:** `tax_year`

Using a progressive tax model.


### Kiribati
* **Other accepted names:** "KI", "KIR"
* **Currency:** AUD
* **Available options:** `tax_year`

Fixed tax rate of 30%.


### Kosovo
* **Other accepted names:** "Kosovo (Disputed Territory)", "XK", "RKS"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Kuwait
* **Other accepted names:** "KW", "KWT"
* **Currency:** KWD
* **Available options:** `tax_year`

No personal income tax.


### Kyrgyzstan
* **Other accepted names:** "KG", "KGZ"
* **Currency:** KGS
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Lao People's Democratic Republic
* **Other accepted names:** "Laos", "LA", "LAO"
* **Currency:** LAK
* **Available options:** `tax_year`

Using a progressive tax model.


### Latvia
* **Other accepted names:** "LV", "LVA"
* **Currency:** EUR
* **Available options:** `tax_year`

Fixed tax rate of 24%.


### Lebanon
* **Other accepted names:** "LB", "LBN"
* **Currency:** LBP
* **Available options:** `tax_year`

Using a progressive tax model.


### Lesotho
* **Other accepted names:** "LS", "LSO"
* **Currency:** LSL
* **Available options:** `tax_year`

Using a progressive tax model.


### Liberia
* **Other accepted names:** "LR", "LBR"
* **Currency:** LRD
* **Available options:** `tax_year`

Using a progressive tax model.


### Libya
* **Other accepted names:** "LY", "LBY"
* **Currency:** LYD
* **Available options:** `tax_year`

Using a progressive tax model.


### Liechtenstein
* **Other accepted names:** "LI", "LIE"
* **Currency:** CHF
* **Available options:** `tax_year`

Fixed tax rate of 17.82%.


### Lithuania
* **Other accepted names:** "LT", "LTU"
* **Currency:** EUR
* **Available options:** `tax_year`

Fixed tax rate of 15%.


### Luxembourg
* **Other accepted names:** "LU", "LUX"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Macao
* **Other accepted names:** "Macau", "MO"
* **Currency:** MOP
* **Available options:** `tax_year`

Using a progressive tax model.


### Macedonia
* **Other accepted names:** "Macedonia (the former Yugoslav Republic of)", "MK", "MKD"
* **Currency:** MKD
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Madagascar
* **Other accepted names:** "MG", "MDG"
* **Currency:** MGA
* **Available options:** `tax_year`

Using a progressive tax model.


### Malawi
* **Other accepted names:** "MW", "MWI"
* **Currency:** MWK
* **Available options:** `tax_year`

Using a progressive tax model.


### Malaysia
* **Other accepted names:** "MY", "MYS"
* **Currency:** MYR
* **Available options:** `tax_year`

Using a progressive tax model.


### Maldives
* **Other accepted names:** "MV", "MDV"
* **Currency:** MVR
* **Available options:** `tax_year`

No personal income tax.


### Mali
* **Other accepted names:** "ML", "MLI"
* **Currency:** XOF
* **Available options:** `tax_year`

Fixed tax rate of 3%.


### Malta
* **Other accepted names:** "MT", "MLT"
* **Currency:** EUR
* **Available options:** `tax_year`, `married`, `children`

Using a progressive tax model.


### Marshall Islands
* **Other accepted names:** "MH", "MHL"
* **Currency:** USD
* **Available options:** `tax_year`

Using a progressive tax model.


### Martinique
* **Other accepted names:** "MQ", "MTQ"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Mauritania
* **Other accepted names:** "MR", "MRT"
* **Currency:** MRO
* **Available options:** `tax_year`

Using a progressive tax model.


### Mauritius
* **Other accepted names:** "MU", "MUS"
* **Currency:** MUR
* **Available options:** `tax_year`

Fixed tax rate of 15%.


### Mayotte
* **Other accepted names:** "Maore", "YT", "MYT"
* **Currency:** EUR
* **Available options:** `tax_year`

Tax calculation is using the same logic as France.


### Mexico
* **Other accepted names:** "MX", "MEX"
* **Currency:** MXN
* **Available options:** `tax_year`

Using a progressive tax model.


### Micronesia, Federated States Of
* **Other accepted names:** "Micronesia", "FM", "FSM"
* **Currency:** USD
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Moldova
* **Other accepted names:** "Moldova (Republic of)", "MD", "MDA"
* **Currency:** MDL
* **Available options:** `tax_year`

Using a progressive tax model.


### Monaco
* **Other accepted names:** "MC", "MCO"
* **Currency:** EUR
* **Available options:** `tax_year`

No personal income tax.


### Mongolia
* **Other accepted names:** "MN", "MNG"
* **Currency:** MNT
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Montenegro
* **Other accepted names:** "ME", "MNE"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Montserrat
* **Other accepted names:** "MS", "MSR"
* **Currency:** XCD
* **Available options:** `tax_year`

Using a progressive tax model.


### Morocco
* **Other accepted names:** "MA", "MAR"
* **Currency:** MAD
* **Available options:** `tax_year`

Using a progressive tax model.


### Mozambique
* **Other accepted names:** "MZ", "MOZ"
* **Currency:** MZN
* **Available options:** `tax_year`

Using a progressive tax model.


### Myanmar
* **Other accepted names:** "Burma", "MM", "MMR"
* **Currency:** MMK
* **Available options:** `tax_year`

Using a progressive tax model.


### Namibia
* **Other accepted names:** "NA", "NAM"
* **Currency:** NAD
* **Available options:** `tax_year`

Using a progressive tax model.


### Nauru
* **Other accepted names:** "NR", "NRU"
* **Currency:** AUD
* **Available options:** `tax_year`

No personal income tax.


### Nepal
* **Other accepted names:** "NP", "NPL"
* **Currency:** NPR
* **Available options:** `tax_year`, `married`

Using a progressive tax model.


### Netherlands
* **Other accepted names:** "NL", "NLD"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Netherlands Antilles
* **Other accepted names:** "AN", "ANT"
* **Currency:** ANG
* **Available options:** `tax_year`

Using a progressive tax model.


### New Caledonia
* **Other accepted names:** "NC", "NCL"
* **Currency:** XPF
* **Available options:** `tax_year`

Using a progressive tax model.


### New Zealand
* **Other accepted names:** "NZ", "NZL"
* **Currency:** NZD
* **Available options:** `tax_year`

Using a progressive tax model.


### Nicaragua
* **Other accepted names:** "NI", "NIC"
* **Currency:** NIO
* **Available options:** `tax_year`, `self_employed`

Using a progressive tax model.


### Niger
* **Other accepted names:** "NE", "NER"
* **Currency:** XOF
* **Available options:** `tax_year`

Using a progressive tax model.


### Nigeria
* **Other accepted names:** "NG", "NGA"
* **Currency:** NGN
* **Available options:** `tax_year`

Using a progressive tax model.


### Niue
* **Other accepted names:** "NU", "NIU"
* **Currency:** NZD
* **Available options:** `tax_year`

Using a progressive tax model.


### Norfolk Island
* **Other accepted names:** "NF", "NFK"
* **Currency:** AUD
* **Available options:** `tax_year`

No personal income tax.


### Korea, Democratic People's Republic Of
* **Other accepted names:** "Korea (North)", "North Korea", "Korea (Democratic People's Republic Of)", "KP", "PRK"
* **Currency:** KPW
* **Available options:** `tax_year`

No personal income tax.


### Northern Mariana Islands
* **Other accepted names:** "MP", "MNP"
* **Currency:** USD
* **Available options:** `tax_year`

Tax calculation is using the same logic as United States.


### Norway
* **Other accepted names:** "NO", "NOR"
* **Currency:** NOK
* **Available options:** `tax_year`

Using a progressive tax model.


### Oman
* **Other accepted names:** "OM", "OMN"
* **Currency:** OMR
* **Available options:** `tax_year`

No personal income tax.


### Pakistan
* **Other accepted names:** "PK", "PAK"
* **Currency:** PKR
* **Available options:** `tax_year`

Using a progressive tax model.


### Palau
* **Other accepted names:** "PW", "PLW"
* **Currency:** USD
* **Available options:** `tax_year`

Using a progressive tax model.


### Palestinian Territory
* **Other accepted names:** "Palestine", "Palestinian Territory, Occupied", "Palestine, State of", "PS", "PSE"
* **Currency:** ILS
* **Available options:** `tax_year`

Using a progressive tax model.


### Panama
* **Other accepted names:** "PA", "PAN"
* **Currency:** USD
* **Available options:** `tax_year`

Using a progressive tax model.


### Papua New Guinea
* **Other accepted names:** "PG", "PNG"
* **Currency:** PGK
* **Available options:** `tax_year`

Using a progressive tax model.


### Paraguay
* **Other accepted names:** "PY", "PRY"
* **Currency:** PYG
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Peru
* **Other accepted names:** "PE", "PER"
* **Currency:** PEN
* **Available options:** `tax_year`

Using a progressive tax model.


### Philippines
* **Other accepted names:** "PH", "PHL"
* **Currency:** PHP
* **Available options:** `tax_year`

Using a progressive tax model.


### Pitcairn
* **Other accepted names:** "PN", "PCN"
* **Currency:** NZD
* **Available options:** `tax_year`

No personal income tax.


### Poland
* **Other accepted names:** "PL", "POL"
* **Currency:** PLN
* **Available options:** `tax_year`

Using a progressive tax model.


### Portugal
* **Other accepted names:** "PT", "PRT"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Puerto Rico
* **Other accepted names:** "PR", "PRI"
* **Currency:** USD
* **Available options:** `tax_year`

Fixed tax rate of 4%.


### Qatar
* **Other accepted names:** "QA", "QAT"
* **Currency:** QAR
* **Available options:** `tax_year`

No personal income tax.


### Réunion
* **Other accepted names:** "RE", "REU"
* **Currency:** EUR
* **Available options:** `tax_year`

Tax calculation is using the same logic as France.


### Romania
* **Other accepted names:** "RO", "ROU"
* **Currency:** RON
* **Available options:** `tax_year`

Fixed tax rate of 16%.


### Russia
* **Other accepted names:** "Russian Federation", "RU", "RUS"
* **Currency:** RUB
* **Available options:** `tax_year`

Fixed tax rate of 13%.


### Rwanda
* **Other accepted names:** "RW", "RWA"
* **Currency:** RWF
* **Available options:** `tax_year`

Using a progressive tax model.


### Saint Barthélemy
* **Other accepted names:** "BL", "BLM"
* **Currency:** EUR
* **Available options:** `tax_year`

No personal income tax.


### Saint Helena
* **Other accepted names:** "SH", "SHN"
* **Currency:** SHP
* **Available options:** `tax_year`

Fixed tax rate of 25%.


### Saint Kitts And Nevis
* **Other accepted names:** "Saint Kitts", "Nevis", "KN", "KNA"
* **Currency:** XCD
* **Available options:** `tax_year`

No personal income tax.


### Saint Lucia
* **Other accepted names:** "LC", "LCA"
* **Currency:** XCD
* **Available options:** `tax_year`

Using a progressive tax model.


### Saint Martin
* **Other accepted names:** "MF", "MAF"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Saint Pierre And Miquelon
* **Other accepted names:** "Saint Pierre", "Miquelon", "PM", "SPM"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Saint Vincent And The Grenedines
* **Other accepted names:** "Saint Vincent", "The Grenedines", "VC", "VCT"
* **Currency:** XCD
* **Available options:** `tax_year`

Using a progressive tax model.


### Samoa
* **Other accepted names:** "WS", "WSM"
* **Currency:** WST
* **Available options:** `tax_year`

Using a progressive tax model.


### San Marino
* **Other accepted names:** "SM", "SMR"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Sao Tome and Principe
* **Other accepted names:** "Sao Tome", "Principe", "ST", "STP"
* **Currency:** STD
* **Available options:** `tax_year`

Fixed tax rate of 13%.


### Saudi Arabia
* **Other accepted names:** "SA", "SAU"
* **Currency:** SAR
* **Available options:** `tax_year`

No personal income tax.


### Senegal
* **Other accepted names:** "SN", "SEN"
* **Currency:** XOF
* **Available options:** `tax_year`

Using a progressive tax model.


### Serbia
* **Other accepted names:** "RS", "SRB"
* **Currency:** RSD
* **Available options:** `tax_year`

Using a progressive tax model.


### Seychelles
* **Other accepted names:** "SC", "SYC"
* **Currency:** SCR
* **Available options:** `tax_year`

Fixed tax rate of 15%.


### Sierra Leone
* **Other accepted names:** "SL", "SLE"
* **Currency:** SLL
* **Available options:** `tax_year`

Using a progressive tax model.


### Singapore
* **Other accepted names:** "SG", "SGP"
* **Currency:** SGD
* **Available options:** `tax_year`

Using a progressive tax model.


### Sint Maarten
* **Other accepted names:** "SX", "SXM"
* **Currency:** ANG
* **Available options:** `tax_year`

Using a progressive tax model.


### Slovakia
* **Other accepted names:** "SK", "SVK"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Slovenia
* **Other accepted names:** "SI", "SVN"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Solomon Islands
* **Other accepted names:** "SB", "SLB"
* **Currency:** SBD
* **Available options:** `tax_year`

Using a progressive tax model.


### Somalia
* **Other accepted names:** "SO", "SOM"
* **Currency:** SOS
* **Available options:** `tax_year`

Using a progressive tax model.


### South Africa
* **Other accepted names:** "ZA", "ZAF"
* **Currency:** ZAR
* **Available options:** `tax_year`

Using a progressive tax model.


### South Georgia and the South Sandwich Islands
* **Other accepted names:** "South Georgia", "South Sandwich Islands", "GS", "SGS"
* **Currency:** GBP
* **Available options:** `tax_year`

Tax calculation is using the same logic as United Kingdom.


### South Korea
* **Other accepted names:** "Korea (South)", "Republic of Korea", "Korea, Republic Of", "Korea (Republic of)", "Korea", "KR", "KOR"
* **Currency:** KRW
* **Available options:** `tax_year`

Using a progressive tax model.


### South Sudan
* **Other accepted names:** "SS", "SSD"
* **Currency:** SSP
* **Available options:** `tax_year`

Using a progressive tax model.


### Spain
* **Other accepted names:** "ES", "ESP"
* **Currency:** EUR
* **Available options:** `tax_year`

Using a progressive tax model.


### Sri Lanka
* **Other accepted names:** "LK", "LKA"
* **Currency:** LKR
* **Available options:** `tax_year`

Fixed tax rate of 20%.


### Sudan
* **Other accepted names:** "SD", "SDN"
* **Currency:** SDG
* **Available options:** `tax_year`

Fixed tax rate of 15%.


### Suriname
* **Other accepted names:** "SR", "SUR"
* **Currency:** SRD
* **Available options:** `tax_year`

Using a progressive tax model.


### Svalbard And Jan Mayen
* **Other accepted names:** "Svalbard", "Jan Mayen", "SJ", "SJM"
* **Currency:** NOK
* **Available options:** `tax_year`

Fixed tax rate of 6%.


### Swaziland
* **Other accepted names:** "SZ", "SWZ"
* **Currency:** SZL
* **Available options:** `tax_year`

Fixed tax rate of 33%.


### Sweden
* **Other accepted names:** "SE", "SWE"
* **Currency:** SEK
* **Available options:** `tax_year`

Using a progressive tax model.


### Switzerland
* **Other accepted names:** "CH", "CHE"
* **Currency:** CHF
* **Available options:** `tax_year`, `canton`, `married`, `children`

Tax model uses a custom implementation.


### Syria
* **Other accepted names:** "Syrian Arab Republic", "SY", "SYR"
* **Currency:** SYP
* **Available options:** `tax_year`

Using a progressive tax model.


### Taiwan
* **Other accepted names:** "Taiwan, Province of China", "China, Republic of", "TW", "TWN"
* **Currency:** TWD
* **Available options:** `tax_year`

Using a progressive tax model.


### Tajikistan
* **Other accepted names:** "TJ", "TJK"
* **Currency:** TJS
* **Available options:** `tax_year`

Using a progressive tax model.


### Tanzania
* **Other accepted names:** "Tanzania, United Republic of", "TZ", "TZA"
* **Currency:** TZS
* **Available options:** `tax_year`, `presumptive`, `location`

Using a progressive tax model.


### Thailand
* **Other accepted names:** "TH", "THA"
* **Currency:** THB
* **Available options:** `tax_year`

Using a progressive tax model.


### Timor-Leste
* **Other accepted names:** "East Timor", "TL", "TLS"
* **Currency:** USD
* **Available options:** `tax_year`

Using a progressive tax model.


### Togo
* **Other accepted names:** "TG", "TGO"
* **Currency:** XOF
* **Available options:** `tax_year`

Fixed tax rate of 7%.


### Tokelau
* **Other accepted names:** "TK", "TKL"
* **Currency:** NZD
* **Available options:** `tax_year`

Using a progressive tax model.


### Tonga
* **Other accepted names:** "TO", "TON"
* **Currency:** TOP
* **Available options:** `tax_year`

Using a progressive tax model.


### Trinidad And Tobago
* **Other accepted names:** "TT", "TTO"
* **Currency:** TTD
* **Available options:** `tax_year`

Using a progressive tax model.


### Tunisia
* **Other accepted names:** "TN", "TUN"
* **Currency:** TND
* **Available options:** `tax_year`

Using a progressive tax model.


### Turkey
* **Other accepted names:** "TR", "TUR"
* **Currency:** TRY
* **Available options:** `tax_year`

Using a progressive tax model.


### Turkmenistan
* **Other accepted names:** "TM", "TKM"
* **Currency:** TMT
* **Available options:** `tax_year`

Fixed tax rate of 10%.


### Turks and Caicos Islands
* **Other accepted names:** "Turks Islands", "Caicos Islands", "TC", "TCA"
* **Currency:** USD
* **Available options:** `tax_year`

No personal income tax.


### Tuvalu
* **Other accepted names:** "TV", "TUV"
* **Currency:** TVD
* **Available options:** `tax_year`

Fixed tax rate of 30%.


### Uganda
* **Other accepted names:** "UG", "UGA"
* **Currency:** UGX
* **Available options:** `tax_year`

Using a progressive tax model.


### Ukraine
* **Other accepted names:** "UA", "UKR"
* **Currency:** UAH
* **Available options:** `tax_year`

Fixed tax rate of 15%.


### United Arab Emirates
* **Other accepted names:** "AE", "ARE"
* **Currency:** AED
* **Available options:** `tax_year`

No personal income tax.


### United Kingdom
* **Other accepted names:** "UK", "United Kingdom of Great Britain and Northern Ireland", "Great Britain", "Britain", "GB", "GBR"
* **Currency:** GBP
* **Available options:** `tax_year`

Using a progressive tax model.


### United States
* **Other accepted names:** "United States of America", "USA", "US"
* **Currency:** USD
* **Available options:** `tax_year`, `married`, `joint_statement`, `head_of_household`, `state`

Tax model uses a custom implementation.


### United States Minor Outlying Islands
* **Other accepted names:** "UM", "UMI"
* **Currency:** USD
* **Available options:** `tax_year`

Tax calculation is using the same logic as United States.


### Uruguay
* **Other accepted names:** "UY", "URY"
* **Currency:** UYU
* **Available options:** `tax_year`

Using a progressive tax model.


### Uzbekistan
* **Other accepted names:** "UZ", "UZB"
* **Currency:** UZS
* **Available options:** `tax_year`

Using a progressive tax model.


### Vanuatu
* **Other accepted names:** "VU", "VUT"
* **Currency:** VUV
* **Available options:** `tax_year`

No personal income tax.


### Holy See (Vatican City State)
* **Other accepted names:** "Holy See", "Vatican", "Vatican City", "VA", "VAT"
* **Currency:** EUR
* **Available options:** `tax_year`

No personal income tax.


### Venezuela
* **Other accepted names:** "Venezuela (Bolivarian Republic of)", "VE", "VEN"
* **Currency:** VEF
* **Available options:** `tax_year`

Using a progressive tax model.


### Vietnam
* **Other accepted names:** "Viet Nam", "VN", "VNM"
* **Currency:** VND
* **Available options:** `tax_year`

Using a progressive tax model.


### Virgin Islands, British
* **Other accepted names:** "Virgin Islands (British)", "VG", "VGB"
* **Currency:** USD
* **Available options:** `tax_year`

Fixed tax rate of 8%.


### Virgin Islands, U.S.
* **Other accepted names:** "Virgin Islands (U.S.)", "VI", "VIR"
* **Currency:** USD
* **Available options:** `tax_year`

Tax calculation is using the same logic as United States.


### Wallis and Futuna
* **Other accepted names:** "Wallis", "Futuna", "WF", "WLF"
* **Currency:** XPF
* **Available options:** `tax_year`

No personal income tax.


### Western Sahara
* **Other accepted names:** "EH", "ESH"
* **Currency:** MAD
* **Available options:** `tax_year`

No personal income tax.


### Yemen
* **Other accepted names:** "YE", "YEM"
* **Currency:** YER
* **Available options:** `tax_year`

Using a progressive tax model.


### Zambia
* **Other accepted names:** "ZM", "ZMB"
* **Currency:** ZMW
* **Available options:** `tax_year`

Using a progressive tax model.


### Zimbabwe
* **Other accepted names:** "ZW", "ZWE"
* **Currency:** USD
* **Available options:** `tax_year`

Using a progressive tax model.
